Subject: Re: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Tue, 25 Sep 2018 09:28:16 +0200

> The problem is that the cursor jumps to the distant part of the frame
 > too far from the current focus.  It takes additional efforts to bring
 > it back where the input focus was.  It's more about visual perception.

But then we have to care about the position of each window's point as
well.  Consider the case of a vertical combination of three windows
with all windows' points at their top.  Deleting the middle window
should then probably select the lower window.  With all points at
their windows' bottoms we probably should select the upper window.

 >> C-x 3 C-x o C-x o C-x 2 C-x 0
 >>
 >> What's the purpose of the 'other-buffer' calls if they don't express
 >> the user's wish to "work" in these windows?
 >
 > Just to play around in these windows, not to work or use them :-)

Obviously, these C-x o are needed to make the example work.  Without
them the window split off by C-x 2 would be selected.

 > It seems the logic of deciding to which sibling to give the space back
 > is fine now.  The need is to select the same window that got the space
 > after C-x 0.

We can add an option for that.  How should we call it?

martin